# Class IgnorableWhitespace

java.lang.Object
nu.validator.saxtree.Node
nu.validator.saxtree.CharBufferNode
nu.validator.saxtree.IgnorableWhitespace

All Implemented Interfaces:
  `Locator2, Locator`

public final class IgnorableWhitespace extends CharBufferNode
A run ignorable whitespace.

Version:
  $Id$
Author:
  hsivonen

## Field Summary

### Fields inherited from class CharBufferNode

`buffer`

## Constructor Summary

Constructors
Constructor
Description
`IgnorableWhitespace(Locator locator, char[] buf, int start, int length)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`NodeType`
`getNodeType()`
Return the node type.

### Methods inherited from class CharBufferNode

`getBuffer, toString`

### Methods inherited from class Node

`detach, getAttributes, getColumnNumber, getData, getEncoding, getFirstChild, getLineNumber, getLocalName, getName, getNextSibling, getParentNode, getPrefixMappings, getPreviousSibling, getPublicId, getPublicIdentifier, getQName, getSystemId, getSystemIdentifier, getTarget, getUri, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IgnorableWhitespace

public IgnorableWhitespace(Locator locator, char[] buf, int start, int length)
The constructor.

Parameters:
  `locator` - the locator
  `buf` - the buffer
  `start` - the offset
  `length` - the length

## Method Details

### getNodeType

public NodeType getNodeType()
Description copied from class: `Node`
Return the node type.

Specified by:
  `getNodeType` in class `Node`
Returns:
  the node type
See Also:
  - `Node.getNodeType()`